<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: SDImageCachesManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_77ebe3071d97df245b5e45385777f804.html">DKCameraPicker</a></li><li class="navelem"><a class="el" href="dir_43f5ca2fe4733652d7a8272cdd759b0e.html">SDWebImage.framework</a></li><li class="navelem"><a class="el" href="dir_6fcdee285dd3b624c094a59c9350aa1b.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDImageCachesManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * This file is part of the SDWebImage package.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * (c) Olivier Poitrey &lt;rs@dailymotion.com&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * For the full copyright and license information, please view the LICENSE</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * file that was distributed with this source code.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &quot;SDImageCacheDefine.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">typedef</span> NS_ENUM(NSUInteger, SDImageCachesManagerOperationPolicy) {</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    SDImageCachesManagerOperationPolicySerial, <span class="comment">// process all caches serially (from the highest priority to the lowest priority cache by order)</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    SDImageCachesManagerOperationPolicyConcurrent, <span class="comment">// process all caches concurrently</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    SDImageCachesManagerOperationPolicyHighestOnly, <span class="comment">// process the highest priority cache only</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    SDImageCachesManagerOperationPolicyLowestOnly <span class="comment">// process the lowest priority cache only</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;};</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="interface_s_d_image_caches_manager.html">   19</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_s_d_image_caches_manager.html">SDImageCachesManager</a> : NSObject &lt;<a class="code" href="protocol_s_d_image_cache-p.html">SDImageCache</a>&gt;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="interface_s_d_image_caches_manager.html#a9c97191920906205e2c7339928763dd8">   24</a></span>&#160;<span class="keyword">@property</span> (nonatomic, <span class="keyword">class</span>, readonly, nonnull) <a class="code" href="interface_s_d_image_caches_manager.html">SDImageCachesManager</a> *<a class="code" href="interface_s_d_image_caches_manager.html#a9c97191920906205e2c7339928763dd8">sharedManager</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">// These are op policy for cache manager.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="interface_s_d_image_caches_manager.html#ad46ce22befdc32fafc8eeaf1950bb18c">   32</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) SDImageCachesManagerOperationPolicy <a class="code" href="interface_s_d_image_caches_manager.html#ad46ce22befdc32fafc8eeaf1950bb18c">queryOperationPolicy</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="interface_s_d_image_caches_manager.html#a03cae967d976972b92f73b363ef30d47">   38</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) SDImageCachesManagerOperationPolicy <a class="code" href="interface_s_d_image_caches_manager.html#a03cae967d976972b92f73b363ef30d47">storeOperationPolicy</a>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="interface_s_d_image_caches_manager.html#ab62709955e997fc453d6ce36a3568d49">   44</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) SDImageCachesManagerOperationPolicy <a class="code" href="interface_s_d_image_caches_manager.html#ab62709955e997fc453d6ce36a3568d49">removeOperationPolicy</a>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="interface_s_d_image_caches_manager.html#a7ef366b7c53ee14dcc8a99d1c4b13906">   50</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) SDImageCachesManagerOperationPolicy <a class="code" href="interface_s_d_image_caches_manager.html#a7ef366b7c53ee14dcc8a99d1c4b13906">containsOperationPolicy</a>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="interface_s_d_image_caches_manager.html#a2ee8b86f66aca32fdb48285e4515b692">   56</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) SDImageCachesManagerOperationPolicy <a class="code" href="interface_s_d_image_caches_manager.html#a2ee8b86f66aca32fdb48285e4515b692">clearOperationPolicy</a>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="interface_s_d_image_caches_manager.html#a81b555fa8038346f9be4f6e78c561486">   61</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy, nullable) NSArray&lt;id&lt;SDImageCache&gt;&gt; *<a class="code" href="interface_s_d_image_caches_manager.html#a81b555fa8038346f9be4f6e78c561486">caches</a>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;- (void)addCache:(nonnull <span class="keywordtype">id</span>&lt;<a class="code" href="interface_s_d_image_cache.html">SDImageCache</a>&gt;)cache;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;- (void)removeCache:(nonnull <span class="keywordtype">id</span>&lt;<a class="code" href="interface_s_d_image_cache.html">SDImageCache</a>&gt;)cache;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_s_d_image_caches_manager_html_a2ee8b86f66aca32fdb48285e4515b692"><div class="ttname"><a href="interface_s_d_image_caches_manager.html#a2ee8b86f66aca32fdb48285e4515b692">SDImageCachesManager::clearOperationPolicy</a></div><div class="ttdeci">SDImageCachesManagerOperationPolicy clearOperationPolicy</div><div class="ttdef"><b>Definition:</b> SDImageCachesManager.h:56</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_html"><div class="ttname"><a href="interface_s_d_image_cache.html">SDImageCache</a></div><div class="ttdef"><b>Definition:</b> SDImageCache.h:53</div></div>
<div class="ttc" id="aprotocol_s_d_image_cache-p_html"><div class="ttname"><a href="protocol_s_d_image_cache-p.html">SDImageCache-p</a></div><div class="ttdef"><b>Definition:</b> SDImageCacheDefine.h:60</div></div>
<div class="ttc" id="ainterface_s_d_image_caches_manager_html_ad46ce22befdc32fafc8eeaf1950bb18c"><div class="ttname"><a href="interface_s_d_image_caches_manager.html#ad46ce22befdc32fafc8eeaf1950bb18c">SDImageCachesManager::queryOperationPolicy</a></div><div class="ttdeci">SDImageCachesManagerOperationPolicy queryOperationPolicy</div><div class="ttdef"><b>Definition:</b> SDImageCachesManager.h:32</div></div>
<div class="ttc" id="ainterface_s_d_image_caches_manager_html"><div class="ttname"><a href="interface_s_d_image_caches_manager.html">SDImageCachesManager</a></div><div class="ttdef"><b>Definition:</b> SDImageCachesManager.h:19</div></div>
<div class="ttc" id="ainterface_s_d_image_caches_manager_html_a81b555fa8038346f9be4f6e78c561486"><div class="ttname"><a href="interface_s_d_image_caches_manager.html#a81b555fa8038346f9be4f6e78c561486">SDImageCachesManager::caches</a></div><div class="ttdeci">NSArray&lt; id&lt; SDImageCache &gt; &gt; * caches</div><div class="ttdef"><b>Definition:</b> SDImageCachesManager.h:61</div></div>
<div class="ttc" id="ainterface_s_d_image_caches_manager_html_a7ef366b7c53ee14dcc8a99d1c4b13906"><div class="ttname"><a href="interface_s_d_image_caches_manager.html#a7ef366b7c53ee14dcc8a99d1c4b13906">SDImageCachesManager::containsOperationPolicy</a></div><div class="ttdeci">SDImageCachesManagerOperationPolicy containsOperationPolicy</div><div class="ttdef"><b>Definition:</b> SDImageCachesManager.h:50</div></div>
<div class="ttc" id="ainterface_s_d_image_caches_manager_html_ab62709955e997fc453d6ce36a3568d49"><div class="ttname"><a href="interface_s_d_image_caches_manager.html#ab62709955e997fc453d6ce36a3568d49">SDImageCachesManager::removeOperationPolicy</a></div><div class="ttdeci">SDImageCachesManagerOperationPolicy removeOperationPolicy</div><div class="ttdef"><b>Definition:</b> SDImageCachesManager.h:44</div></div>
<div class="ttc" id="ainterface_s_d_image_caches_manager_html_a03cae967d976972b92f73b363ef30d47"><div class="ttname"><a href="interface_s_d_image_caches_manager.html#a03cae967d976972b92f73b363ef30d47">SDImageCachesManager::storeOperationPolicy</a></div><div class="ttdeci">SDImageCachesManagerOperationPolicy storeOperationPolicy</div><div class="ttdef"><b>Definition:</b> SDImageCachesManager.h:38</div></div>
<div class="ttc" id="ainterface_s_d_image_caches_manager_html_a9c97191920906205e2c7339928763dd8"><div class="ttname"><a href="interface_s_d_image_caches_manager.html#a9c97191920906205e2c7339928763dd8">SDImageCachesManager::sharedManager</a></div><div class="ttdeci">SDImageCachesManager * sharedManager</div><div class="ttdef"><b>Definition:</b> SDImageCachesManager.h:24</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
